org.apache.http.message

## Class AbstractHttpMessage

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage

- All Implemented Interfaces:
    HttpMessage
  Direct Known Subclasses:
    BasicHttpRequest, BasicHttpResponse

      @NotThreadSafe
      public abstract class AbstractHttpMessage
      extends Object
      implements HttpMessage

  Basic implementation of `HttpMessage`.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HeaderGroup` | `headergroup`
    `protected HttpParams` | `params` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractHttpMessage()`
    `protected` | `AbstractHttpMessage(HttpParams params)` Deprecated. (4.3) use `AbstractHttpMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHeader(Header header)` Adds a header to this message.
    `void` | `addHeader(String name, String value)` Adds a header to this message.
    `boolean` | `containsHeader(String name)` Checks if a certain header is present in this message.
    `Header[]` | `getAllHeaders()` Returns all the headers of this message.
    `Header` | `getFirstHeader(String name)` Returns the first header with a specified name of this message.
    `Header[]` | `getHeaders(String name)` Returns all the headers with a specified name of this message.
    `Header` | `getLastHeader(String name)` Returns the last header with a specified name of this message.
    `HttpParams` | `getParams()` Deprecated. (4.3) use constructor parameters of configuration API provided by HttpClient
    `HeaderIterator` | `headerIterator()` Returns an iterator of all the headers.
    `HeaderIterator` | `headerIterator(String name)` Returns an iterator of the headers with a given name.
    `void` | `removeHeader(Header header)` Removes a header from this message.
    `void` | `removeHeaders(String name)` Removes all headers with a certain name from this message.
    `void` | `setHeader(Header header)` Overwrites the first header with the same name.
    `void` | `setHeader(String name, String value)` Overwrites the first header with the same name.
    `void` | `setHeaders(Header[] headers)` Overwrites all the headers in the message.
    `void` | `setParams(HttpParams params)` Deprecated. (4.3) use constructor parameters of configuration API provided by HttpClient

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `getProtocolVersion`

- - ### Field Detail

    - #### headergroup

          protected HeaderGroup headergroup

    - #### params

          @Deprecated
          protected HttpParams params

      Deprecated.

  - ### Constructor Detail

    - #### AbstractHttpMessage

          @Deprecated
          protected AbstractHttpMessage(HttpParams params)

      Deprecated. (4.3) use `AbstractHttpMessage()`

    - #### AbstractHttpMessage

          protected AbstractHttpMessage()

  - ### Method Detail

    - #### containsHeader

          public boolean containsHeader(String name)

      Description copied from interface: `HttpMessage`
      Checks if a certain header is present in this message. Header values are ignored.
      Specified by:
        `containsHeader` in interface `HttpMessage`
      Parameters:
        `name` - the header name to check for.
      Returns:
        true if at least one header with this name is present.

    - #### getHeaders

          public Header[] getHeaders(String name)

      Description copied from interface: `HttpMessage`
      Returns all the headers with a specified name of this message. Header values are ignored. Headers are orderd in the sequence they will be sent over a connection.
      Specified by:
        `getHeaders` in interface `HttpMessage`
      Parameters:
        `name` - the name of the headers to return.
      Returns:
        the headers whose name property equals `name`.

    - #### getFirstHeader

          public Header getFirstHeader(String name)

      Description copied from interface: `HttpMessage`
      Returns the first header with a specified name of this message. Header values are ignored. If there is more than one matching header in the message the first element of `HttpMessage.getHeaders(String)` is returned. If there is no matching header in the message `null` is returned.
      Specified by:
        `getFirstHeader` in interface `HttpMessage`
      Parameters:
        `name` - the name of the header to return.
      Returns:
        the first header whose name property equals `name` or `null` if no such header could be found.

    - #### getLastHeader

          public Header getLastHeader(String name)

      Description copied from interface: `HttpMessage`
      Returns the last header with a specified name of this message. Header values are ignored. If there is more than one matching header in the message the last element of `HttpMessage.getHeaders(String)` is returned. If there is no matching header in the message `null` is returned.
      Specified by:
        `getLastHeader` in interface `HttpMessage`
      Parameters:
        `name` - the name of the header to return.
      Returns:
        the last header whose name property equals `name`. or `null` if no such header could be found.

    - #### getAllHeaders

          public Header[] getAllHeaders()

      Description copied from interface: `HttpMessage`
      Returns all the headers of this message. Headers are orderd in the sequence they will be sent over a connection.
      Specified by:
        `getAllHeaders` in interface `HttpMessage`
      Returns:
        all the headers of this message

    - #### addHeader

          public void addHeader(Header header)

      Description copied from interface: `HttpMessage`
      Adds a header to this message. The header will be appended to the end of the list.
      Specified by:
        `addHeader` in interface `HttpMessage`
      Parameters:
        `header` - the header to append.

    - #### addHeader

          public void addHeader(String name,
                       String value)

      Description copied from interface: `HttpMessage`
      Adds a header to this message. The header will be appended to the end of the list.
      Specified by:
        `addHeader` in interface `HttpMessage`
      Parameters:
        `name` - the name of the header.
        `value` - the value of the header.

    - #### setHeader

          public void setHeader(Header header)

      Description copied from interface: `HttpMessage`
      Overwrites the first header with the same name. The new header will be appended to the end of the list, if no header with the given name can be found.
      Specified by:
        `setHeader` in interface `HttpMessage`
      Parameters:
        `header` - the header to set.

    - #### setHeader

          public void setHeader(String name,
                       String value)

      Description copied from interface: `HttpMessage`
      Overwrites the first header with the same name. The new header will be appended to the end of the list, if no header with the given name can be found.
      Specified by:
        `setHeader` in interface `HttpMessage`
      Parameters:
        `name` - the name of the header.
        `value` - the value of the header.

    - #### setHeaders

          public void setHeaders(Header[] headers)

      Description copied from interface: `HttpMessage`
      Overwrites all the headers in the message.
      Specified by:
        `setHeaders` in interface `HttpMessage`
      Parameters:
        `headers` - the array of headers to set.

    - #### removeHeader

          public void removeHeader(Header header)

      Description copied from interface: `HttpMessage`
      Removes a header from this message.
      Specified by:
        `removeHeader` in interface `HttpMessage`
      Parameters:
        `header` - the header to remove.

    - #### removeHeaders

          public void removeHeaders(String name)

      Description copied from interface: `HttpMessage`
      Removes all headers with a certain name from this message.
      Specified by:
        `removeHeaders` in interface `HttpMessage`
      Parameters:
        `name` - The name of the headers to remove.

    - #### headerIterator

          public HeaderIterator headerIterator()

      Description copied from interface: `HttpMessage`
      Returns an iterator of all the headers.
      Specified by:
        `headerIterator` in interface `HttpMessage`
      Returns:
        Iterator that returns Header objects in the sequence they are sent over a connection.

    - #### headerIterator

          public HeaderIterator headerIterator(String name)

      Description copied from interface: `HttpMessage`
      Returns an iterator of the headers with a given name.
      Specified by:
        `headerIterator` in interface `HttpMessage`
      Parameters:
        `name` - the name of the headers over which to iterate, or `null` for all headers
      Returns:
        Iterator that returns Header objects with the argument name in the sequence they are sent over a connection.

    - #### getParams

          @Deprecated
          public HttpParams getParams()

      Deprecated. (4.3) use constructor parameters of configuration API provided by HttpClient
      Description copied from interface: `HttpMessage`
      Returns the parameters effective for this message as set by `HttpMessage.setParams(HttpParams)`.
      Specified by:
        `getParams` in interface `HttpMessage`

    - #### setParams

          @Deprecated
          public void setParams(HttpParams params)

      Deprecated. (4.3) use constructor parameters of configuration API provided by HttpClient
      Description copied from interface: `HttpMessage`
      Provides parameters to be used for the processing of this message.
      Specified by:
        `setParams` in interface `HttpMessage`
      Parameters:
        `params` - the parameters

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.